Update Webhook
Update an existing webhook
Authorization
default Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
The ID of the webhook
Request Body
application/json
The URL of your webhook endpoint.
An array of webhook events to subscribe to. For all options, refer to our List Available Events endpoint. A webhook is single-platform: subscribe to either OnlyFans events or Fansly (fansly.*) events, never both in one webhook.
Optionally, enabled/disable the webhook. This will stop/resume the sending of events, without having to delete the webhook.
The account scope for the webhook (OnlyFans and Fansly webhooks alike). Use "global" for all accounts, "inclusive" for only selected accounts, or "exclusive" for all except selected accounts.
An array of account IDs to apply the scope to. Use OnlyFans account IDs (acct_...) for OnlyFans webhooks and Fansly account IDs (fansly_acct_...) for Fansly webhooks. Required unless account_scope is "global".
Response Body
application/json
curl -X PUT "https://app.onlyfansapi.com/api/webhooks/wh_abc123" \ -H "Content-Type: application/json" \ -d '{ "endpoint_url": "https://example.com", "events": [ "accounts.connected", "subscriptions.new" ], "account_scope": "global" }'{
"data": {
"id": "wh_abc123",
"url": "https://example.com",
"events": [
"accounts.connected",
"subscriptions.new"
],
"has_signing_secret": true,
"enabled": false,
"created_at": "2025-01-01T00:00:00.000000Z"
},
"_meta": {
"_credits": {
"used": 0,
"balance": 1000000016,
"note": "Always"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 1000,
"limit_day": 50000,
"remaining_minute": 996,
"remaining_day": 49990
}
}
}